=head1 NAME

fssync-debug_detach - Detaches a volume (FSYNC_VOL_DONE opcode)

=head1 SYNOPSIS

=for html
<div class="synopsis">

B<fssync-debug detach> S<<< B<-volumeid> <I<volume ID>> >>>
    S<<< [B<-partition> <I<exact partition name>>] >>>
    S<<< [B<-reason> <I<sync protocol reason code>>] >>>
    S<<< [B<-programtype> <I<program type code>>] >>>
    [B<-help>]

B<fssync-debug d> S<<< B<-v> <I<volume ID>> >>>
    S<<< [B<-pa> <I<exact partition name>>] >>>
    S<<< [B<-r> <I<sync protocol reason code>>] >>>
    S<<< [B<-pr> <I<program type code>>] >>>
    [B<-h>]

=for html
</div>

=head1 DESCRIPTION

The B<fssync-debug detach> command detaches a volume.

=head1 OPTIONS

=over 4

=item B<-volumeid> <I<volume ID>>

Specifies the numeric volume ID. Volume names are not permitted.

=item B<-partition> <I<exact partition name>>

Specifies the exact partition name (e.g. I</vicepa>). Abbreviations
are not permitted.

=item B<-reason> <I<sync protocol reason code>>

Specifies numeric sync protocol reason code.
Available codes are listed in OpenAFS source file
F<src/vol/fssync_inline.h>. For SYNC_REASON_NONE,
use B<-reason I<0>>.

=item B<-programtype> <I<program type code>>

Specifies program type code. Permitted values are
I<fileServer>,
I<volumeUtility>,
I<salvager>,
I<salvageServer>,
I<volumeServer> and
I<volumeSalvager>.

=back

=head1 PRIVILEGE REQUIRED

The issuer must have write access to the file server.
Usually, this means that the issuer must be the
local superuser C<root> on the file server machine.

=head1 SEE ALSO

L<fssync-debug_attach(8)>,
L<fssync-debug_callback(8)>,
L<fssync-debug_online(8)>,
L<fssync-debug_offline(8)>,
L<fssync-debug_error(8)>

=head1 COPYRIGHT

Copyright 2010 Davor Ocelic <docelic@spinlocksolutions.com>

This documentation is covered by the IBM Public License Version 1.0.  This
man page was written by Davor Ocelic for OpenAFS, based on documentation
from Steven Jenkins, Tom Keiser and Simon Wilkinson.
